GCLOUD_COMPUTE_TARGET-INSTANCES_CREATE(1)

NAME

gcloud compute target-instances create - create a target instance for handling traffic from a forwarding rule

SYNOPSIS

gcloud compute target-instances create NAME --instance INSTANCE [--description DESCRIPTION] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute target-instances create is used to create a target instance for handling traffic from one or more forwarding rules. Target instances are ideal for traffic that should be managed by a single source. For more information on target instances, see https://cloud.google.com/compute/docs/protocol-forwarding/#targetinstances.

POSITIONAL ARGUMENTS
NAME
    The name of the target instance.

REQUIRED FLAGS
--instance INSTANCE
    The name of the virtual machine instance that will handle the traffic.

OPTIONAL FLAGS
--description DESCRIPTION
    An optional, textual description of the target instance.
--zone ZONE
    The zone of the instance to to create the target instance in. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.